<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddForeignKeysToFeedFeedItemsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('feed_feed_items', function (Blueprint $table) {
            $table->foreign('feed_id')->references('id')->on('feeds')->onDelete('CASCADE');
            $table->foreign('feed_item_id')->references('id')->on('feed_items')->onDelete('CASCADE');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('feed_feed_items', function (Blueprint $table) {
            $table->dropForeign('feed_feed_items_feed_id_foreign');
            $table->dropForeign('feed_feed_items_feed_item_id_foreign');
        });
    }
}
